Subject: Re: [bug#32532] [PATCH] Add emacs-build-farm

From: Alex Kost <[email-masked]>
Date: Tue, 28 Aug 2018 12:25:08 +0300

Ludovic Courtès (2018-08-27 23:14 +0200) wrote:

> Alex Kost <[email-masked]> skribis:
>
>> Ludovic Courtès (2018-08-27 13:52 +0200) wrote:
>
> [...]
>
>>> Regarding the code, I’m interested in adding new features to (guix ci),
>>> the client module for Cuirass/Hydra.  Just mentioning it in case it’s
>>> something that would make sense to share with emacs-build-farm.
>>
>> Sorry, I don't understand what you mean.  emacs-build-farm is a pure
>> elisp package, it can't share any guile code with (guix ci), or did you
>> mean something else?
>
> I know it’s pure elisp, which is why I wrote “in case it’s something
> that would make sense.”  That is, if you think we could share that
> Scheme code, we can do it (but emacs-build-farm would have to use
> Geiser); if you don’t want to, that’s also fine.

Oh, no, no.  emacs-build-farm will not use any scheme code.  There is no
reason for that.  Emacs has in-built "json" library, so parsing json
from Hydra/Cuirass using elisp is easy.  Using additional scheme code
for that would be a big unneeded complication.

> I hope it’s clearer now.

Yes, thanks for explaining.

Applied as 40f7ebac66913a531854cc18f9b417624508d654.

-- 
Alex